﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;

namespace FastlineTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.InitialiseCharts(this.tChart1);
            this.InitialiseCharts(this.tChart2);
            
            this.AddData(tChart1, false);
            this.AddData(tChart2, true);
        }

        void InitialiseCharts(TChart chart)
        {
            chart.Clear();

            chart.Aspect.View3D = false;
            chart.Legend.Visible = false;

            chart.Axes.Left.Title.Text = "Response";
            chart.Axes.Bottom.Title.Text = "Time (seconds)";
        }

        void AddData(TChart chart, bool drawAllPoints)
        {
            Steema.TeeChart.Styles.FastLine dataPoints = new Steema.TeeChart.Styles.FastLine(chart.Chart);

            dataPoints.Color = Color.Red;

            dataPoints.DrawAllPoints = drawAllPoints;

            if (drawAllPoints)
            {
                chart.Header.Text = "DrawAllPoints = true";
            }
            else
            {
                chart.Header.Text = "DrawAllPoints = false";
            }

            dataPoints.Add(Data.ResponseData);
        }
    }
}
